<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  vsem@pizdec.ru             #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";
	

echo'<img src="../images/img/profiles.gif" alt=""> <b>Статистика сайта</b><br><br>'; 
	
$text = file("../local/profil/$log.prof"); 
if ($text!=""){
$udata = explode(":||:",$text[0]);
$provlog=trim($udata[0]);
$provpar=trim($udata[1]);}
	
$text = file("../local/counter.dat"); 
if ($text!=""){
$udata = explode("#",$text[0]);
$host=trim($udata[1]);
$hitsall=trim($udata[2]);

}


echo'Уникальных посетителей '.(int)$hitsall.' чел.<br>';
echo'Сегодня хocтов '.(int)$host.' чел.<br>';




$lines=file("../local/dataforum/mainforum.dat");
$i=count($lines);
$n="0"; $a1="-1"; $u=$i-1;
$fid="0"; $itogotem="0"; $itogomsg="0";
do {$a1++; $dt=explode("|", $lines[$a1]);
$itogotem=$itogotem+$dt[4];$itogomsg=$itogomsg+$dt[5];
} while($a1 < $u);

$f = @file("../local/local.dat"); 
$u = explode("|",$f[0]);

echo'Сделано записей в гостевой: '.(int)$u[0].'<br>';
echo'Сделано записей в форуме: '.(int)$itogomsg.'<br>';
echo'Создано тем в форуме: '.(int)$itogotem.'<br>';
echo'Сделано записей в чате: '.(int)$u[1].'<br>';
echo'Всего новостей: '.(int)$u[4].'<br>';
echo'Комментариев в новостях: '.(int)$u[3].'<br>';
echo'Комментариев в загрузках: '.(int)$u[5].'<br>';
echo'Комментариев в библиотеке: '.(int)$u[6].'<br>';

$line=file("../local/ban.dat");
$it=count($line);
echo'Забаненых по IP: '.(int)$it.'<br>';

 $duuu=opendir("../local/profil"); $namba1 = 0; while(($k=readdir($duuu))!==false){ if ($k=='.'||$k=='..'||$k=='.htaccess'||$k=='index.php') continue; $namba1++;} closedir($duuu);
echo'Зарегистрировано пользователей: '.$namba1.'<br>'; 
$tot=$u[0]+$u[1]+$u[2]+$u[3]+$u[4]+$u[5]+$u[6];

//$u[0]=гостевая
//$u[1]=чат
//$u[2]=постов в форуме
//$u[3]=комментов в новостях
//$u[4]=новостей
//$u[5]=комментов в загрузках
//$u[6]=комментов в библиотеке

echo'Актив сайта: '.(int)$tot.' баллoв(а)';

echo'<br><br><img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a><br>';
include_once"../themes/$config_themes/foot.php";
?>